Module javafx.graphics
Package javafx.scene.shape

# Enum Class ArcType

java.lang.Object
java.lang.Enum<ArcType>
javafx.scene.shape.ArcType

All Implemented Interfaces:
  `Serializable`, `Comparable<ArcType>`, `Constable`

public enum ArcType extends Enum<ArcType>
`ArcType` specifies the closure type for `Arc` objects.

Since:
  JavaFX 2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHORD`
The closure type for an arc closed by drawing a straight line segment from the start of the arc segment to the end of the arc segment.
`OPEN`
The closure type for an open arc with no path segments connecting the two ends of the arc segment.
`ROUND`
The closure type for an arc closed by drawing straight line segments from the start of the arc segment to the center of the full ellipse and from that point to the end of the arc segment.

## Method Summary

Modifier and Type
Method
Description
`static ArcType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ArcType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OPEN

public static final ArcType OPEN
The closure type for an open arc with no path segments connecting the two ends of the arc segment.

### CHORD

public static final ArcType CHORD
The closure type for an arc closed by drawing a straight line segment from the start of the arc segment to the end of the arc segment.

### ROUND

public static final ArcType ROUND
The closure type for an arc closed by drawing straight line segments from the start of the arc segment to the center of the full ellipse and from that point to the end of the arc segment.

## Method Details

### values

public static ArcType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ArcType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null